Draft Workbench Select Plane Issue

Post here for help on using FreeCAD's graphical user interface (GUI).
Forum rules
and Helpful information
IMPORTANT: Please click here and read this first, before asking for help

Also, be nice to others! Read the FreeCAD code of conduct!
MMSN
Posts: 35
Joined: Wed May 28, 2014 7:36 pm

Draft Workbench Select Plane Issue

Postby MMSN » Tue Jun 13, 2017 2:50 am

Hi,
I am not able to find a customization option for to have direct access to constrained Select Plane with the ability of orient this for easy drawing. Here is Sketch that shows my request:
Attachments
FreeCAD Select Plane.JPG
FreeCAD Select Plane.JPG (48.43 KiB) Viewed 807 times
User avatar
yorik
Site Admin
Posts: 11400
Joined: Tue Feb 17, 2009 9:16 pm
Location: São Paulo, Brazil
Contact:

Re: Draft Workbench Select Plane Issue

Postby yorik » Tue Jun 13, 2017 3:01 pm

You discovered the "select plane" button already, right? Doesn't it allow you to do that? If not, please explain better?
MMSN
Posts: 35
Joined: Wed May 28, 2014 7:36 pm

Re: Draft Workbench Select Plane Issue

Postby MMSN » Tue Jun 13, 2017 4:24 pm

yorik
yorik wrote:
Tue Jun 13, 2017 3:01 pm
You discovered the "select plane" button already, right? Doesn't it allow you to do that? If not, please explain better?
I do like a singles commands with icon theme for x;y, for x;z, for y;z and for perspective view with the ability of plane rotation that show in my sketch, allowing faster drawing. Right now the select plane is excellent and I like, but it would be complemented with my request.
How I can do this?
Thanks very much in advance :)
eds
Posts: 24
Joined: Mon Feb 20, 2017 2:55 pm

Re: Draft Workbench Select Plane Issue

Postby eds » Thu Jun 15, 2017 6:45 am

Do you mean you want a dedicated button to select each drawing plane, and at the same time snap the view to axonometric?

You can create macros for that. Create a macro and copy paste the following commands:

Top view

Code: Select all

FreeCAD.DraftWorkingPlane.alignToPointAndAxis(FreeCAD.Vector(0,0,0), FreeCAD.Vector(0,0,1), 0)
FreeCADGui.Snapper.setGrid()
Gui.activeDocument().activeView().viewAxonometric()
Front view

Code: Select all

FreeCAD.DraftWorkingPlane.alignToPointAndAxis(FreeCAD.Vector(0,0,0), FreeCAD.Vector(0,-1,0), 0)
FreeCADGui.Snapper.setGrid()
Gui.activeDocument().activeView().viewAxonometric()
Side view

Code: Select all

FreeCAD.DraftWorkingPlane.alignToPointAndAxis(FreeCAD.Vector(0,0,0), FreeCAD.Vector(1,0,0), 0)
FreeCADGui.Snapper.setGrid()
Gui.activeDocument().activeView().viewAxonometric()
You can then create custom buttons and toolbars following this wiki:
https://www.freecadweb.org/wiki/Customize_Toolbars

Disclaimer: Not a programmer, so I'm just as stuck as you if it doesn't work... because it "Works On My Machine" :)
Not sure what you mean by plane rotation though.
User avatar
yorik
Site Admin
Posts: 11400
Joined: Tue Feb 17, 2009 9:16 pm
Location: São Paulo, Brazil
Contact:

Re: Draft Workbench Select Plane Issue

Postby yorik » Thu Jun 15, 2017 1:35 pm

Adding icons to buttons is a good idea, I'll do that. As for the perspective/axonometric one, there is a quantity of ways to do that... you can simply press the select plane button after you selected a face or 3 vertices. There is also a macro that moves the plane to be in the axis of the current view, and another one that rotates the camera to face the current WP...
MMSN
Posts: 35
Joined: Wed May 28, 2014 7:36 pm

Re: Draft Workbench Select Plane Issue

Postby MMSN » Fri Jun 16, 2017 10:22 am

eds wrote:
Thu Jun 15, 2017 6:45 am
Do you mean you want a dedicated button to select each drawing plane, and at the same time snap the view to axonometric?
I think Yes. In other word, first view is an isometric or perspective view (I am not familiar with axiometric concept) and after go to the specific plane for do a 2d drawing, then go to the isometric or perspective view again to see the general drawing progress and so on with simple icon commands like my sketch example.
I will try to follow the instruction for create macros and then create custom buttons and toolbars. I am not a programmer... :D
yorik wrote:
Thu Jun 15, 2017 1:35 pm
Adding icons to buttons is a good idea
Excellent, It will be a important improvement in the Draft workbench that Which I really like, however the eds instruction may help .
Another point is how do I make the mouse cursor finest in order to have greater vision in the union of curves by snap?
Again, Thank very much eds and yorik for your answer :!:
eds
Posts: 24
Joined: Mon Feb 20, 2017 2:55 pm

Re: Draft Workbench Select Plane Issue

Postby eds » Sat Jun 17, 2017 4:40 am

MMSN wrote:
Fri Jun 16, 2017 10:22 am
I think Yes. In other word, first view is an isometric or perspective view (I am not familiar with axiometric concept) and after go to the specific plane for do a 2d drawing, then go to the isometric or perspective view again to see the general drawing progress and so on with simple icon commands like my sketch example.
I think I understand what you wanted to do. So basically your intended workflow is:
  • 1. Set view to isometric
    2. Select a particular plane to draw
    3. Align the camera to the working plane
    4. Finish drawing
    5. Set view back to isometric
Is that correct?
If so, you do not need to make custom macros, basically all you need already exist, but you need to download the macro "Align Camera to Working Plane" for step 3. So what you'd do is:
  • 1. Press 0, or press "Set to Axonometric View (0)" in the view toolbar
    2. Set the plane you wish to draw on. This is best served by selecting a face, and then press the Select Plane button. This will automatically set the working plane on the face of the selected object. (This is much more practical)
    3. Execute the Align camera macro, then center the working plane on screen
    4. Draw what you want
    5. Press 0 or press "Set to Axonometric View (0)" in the view toolbar again to go back to isometric view.